Websocket sender for send messages and handle notify.

### Hierarchy

- WebsocketSender

## Index

### Constructors

- constructor

### Properties

- debug
- url

### Methods

- send

## Constructors

### constructor

- new WebsocketSender(url?: string, debug?: boolean): WebsocketSender

- - Defined in network/websocket/websocketSender.ts:31

  #### Parameters

  - ##### Default value url: string = TEST_ONT_URL.SOCKET_URL

  - ##### Default value debug: boolean = false

  #### Returns WebsocketSender

## Properties

### debug

debug: boolean

- Defined in network/websocket/websocketSender.ts:31

### url

url: string

- Defined in network/websocket/websocketSender.ts:30

## Methods

### send

- send(param: string, callback: function): void

- - Defined in network/websocket/websocketSender.ts:38

  #### Parameters

  - ##### param: string

  - ##### callback: function

    - - (err: any, res: any, socket: WebSocket | null): any

      - #### Parameters

        - ##### err: any

        - ##### res: any

        - ##### socket: WebSocket | null

        #### Returns any

  #### Returns void

Generated using TypeDoc